Skip to content

Add Seller to Store POST ​

URL: https://api.painelalter.com/api/seller/addToStore

Adds an existing seller to a store. The token user must have access to the store in store_alias_id, and the seller is looked up among all the stores the user has access to.

Once added, the seller is included in the running and future goals of the store and, if the seller takes part in AlterVez and the store has the service, added to the store queue.

WARNING

The request is rejected with status 409 Conflict if the seller is already linked to the store or if another seller of the store (active or dismissed) already uses the same seller_alias_id. To reactivate a seller dismissed from the store, use the Rehire Seller in Store endpoint.

Body Parameters ​

ParameterTypeDescription
store_alias_idstringAlias ID of the store the seller will be added to.
seller_alias_idstringSeller alias ID.
onboardUtcDatetime [OPTIONAL]stringSeller onboard date and time in the store, in UTC. Format YYYY-MM-DDTHH:mm:ss. Default: current date and time.

Example Body ​

json
{
  "store_alias_id": "STORE-12",
  "seller_alias_id": "SELL-001",
  "onboardUtcDatetime": "2026-10-01T12:00:00"
}

Response Example ​

Status 201 Created